Package org.h2gis.functions.io.osm

# Enum TAG_LOCATION

java.lang.Object
java.lang.Enum<TAG_LOCATION>
org.h2gis.functions.io.osm.TAG_LOCATION

All Implemented Interfaces:
  `Serializable`, `Comparable<TAG_LOCATION>`, `java.lang.constant.Constable`

public enum TAG_LOCATION extends Enum<TAG_LOCATION>
A class to specify the category of the element.

Author:
  Erwan Bocher

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ND`
`NODE`
`OTHER`
`RELATION`
`WAY`

## Method Summary

Modifier and Type
Method
Description
`static TAG_LOCATION`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TAG_LOCATION[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NODE

public static final TAG_LOCATION NODE

### WAY

public static final TAG_LOCATION WAY

### OTHER

public static final TAG_LOCATION OTHER

### RELATION

public static final TAG_LOCATION RELATION

### ND

public static final TAG_LOCATION ND

## Method Details

### values

public static TAG_LOCATION[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TAG_LOCATION valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null